DocumentEditorSettings Object
Description
Document editor settings.
Syntax
{
[culture: <string>],
[uiCulture: <string>],
[editMode: <EditMode>],
[contextMenusEnabled: <boolean>],
[formattingPrinter: <string>],
[reconnectTimeout: <number>],
[userNames: <string[]>],
[customQueryParams: <Object>],
[connectionID: <string>],
[webSocketProtocols: <string[]>]
}Examples
The following example demonstrates DocumentEditorSettings in a practical document-editing workflow. Document editor settings.
function inspectDocumentEditorSettings(documentEditorSettings) {
console.log("culture:", documentEditorSettings.culture);
console.log("ui culture:", documentEditorSettings.uiCulture);
console.log("edit mode:", documentEditorSettings.editMode);
console.log("context menus enabled:", documentEditorSettings.contextMenusEnabled);
}Members
Properties
| Property | Description |
|---|---|
| connectionID | Optional. The unique connection ID string. |
| contextMenusEnabled | Optional. Sets whether a right click opens a context menu or not. |
| culture | Optional. The culture. (e. g. 'de-DE') Affects date and time string formats, for example. |
| customQueryParams | Optional. Custom query parameters. |
| editMode | Optional. Sets whether the document's text is read-only, can be selected or is editable. |
| formattingPrinter | Optional. The name of a printer the text dimensions and capabilities of which are used to format the document. |
| reconnectTimeout | Optional. Time in seconds before stopping reconnection attempts after a connection loss. |
| uiCulture | Optional. The user interface culture. (e. g. 'en-US') Affects the string resource language. |
| userNames | Optional. An array of names specifying users who have access to editable regions. When a document is set to read-only all editable regions that are related to these users can be edited. |
| webSocketProtocols | Optional. An array of additional WebSocket sub-protocols to be passed to the WebSocket constructor. Can be used in order to pass authentication tokens, for example. |